# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'bitfifo/version'

Gem::Specification.new do |spec|
  spec.name          = "bitfifo"
  spec.version       = Bitfifo::VERSION
  spec.authors       = ["Bryan Colvin"]
  spec.email         = ["bryan@bdlsys.com"]

  spec.summary       = %q{FIFO system for 1 or more bits}
  spec.description   = %q{Bitfifo implements a FIFO for 1 or more bits of an Integer.
This will be needed for a compression and encryption system.
Could be used for any variable length integer based problems including base64 encode/decode.
Includes bit reversals for LSB first or MSB first systems.
No need to worry about overfill as a Bignum is used to store bits.}
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.11"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
  spec.add_development_dependency 'byebug', '~> 5.0', '>= 5.0.0'
  
  
end
